//////////////////////////////////////////////////////////////////////
//
// Project : BlueEye
//
// Autor : Bernard Lidicky
//
// ImgID.cpp : implementation file
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "blueeye.h"
#include "ImgID.h"
#include "SData.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CImgID dialog


CImgID::CImgID(CWnd* pParent /*=NULL*/)
	: CDialog(CImgID::IDD, pParent)
{
	//{{AFX_DATA_INIT(CImgID)
	m_id = doc.m_loadedc;
	m_total = doc.m_loadedt;
	//}}AFX_DATA_INIT
}


void CImgID::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CImgID)
	DDX_Text(pDX, IDC_ID, m_id);
	DDX_Text(pDX, IDC_TOTAL, m_total);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CImgID, CDialog)
	//{{AFX_MSG_MAP(CImgID)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CImgID message handlers

void CImgID::OnOK() 
{
	UpdateData();
	if (m_id < 1 || m_id > doc.m_loadedt) {
		CString s;
		s.Format("Muste zadat slo mezi 1 a %d.", doc.m_loadedt);
		MessageBox(s);
		return;
	}
	
	CDialog::OnOK();
}
