//////////////////////////////////////////////////////////////////////
//
// Project : BlueEye
//
// Autor : Bernard Lidicky
//
// Properties.cpp : implementation file
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "blueeye.h"
#include "Properties.h"
#include "sdata.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProperties dialog


CProperties::CProperties(CWnd* pParent /*=NULL*/)
	: CDialog(CProperties::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProperties)
	m_ext = doc.m_actual.ext;
	m_index.Format("%d/%d", doc.m_loadedc+1, doc.m_loadedt);
	m_name = doc.m_actual.name;
	m_rect.Format("%d*%d",doc.m_bRect.Width(), doc.m_bRect.Height());
	m_size = doc.m_actual.size;
	m_vrect.Format("%d*%d",(int)(doc.m_bRect.Width()*doc.m_sizing), (int)(doc.m_bRect.Height()*doc.m_sizing));
	m_path = doc.m_actual.dir;
	//}}AFX_DATA_INIT
}


void CProperties::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProperties)
	DDX_Text(pDX, IDC_EXT, m_ext);
	DDX_Text(pDX, IDC_INDEX, m_index);
	DDX_Text(pDX, IDC_NAME, m_name);
	DDX_Text(pDX, IDC_RECT, m_rect);
	DDX_Text(pDX, IDC_FSIZE, m_size);
	DDX_Text(pDX, IDC_VRECT, m_vrect);
	DDX_Text(pDX, IDC_PATH, m_path);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProperties, CDialog)
	//{{AFX_MSG_MAP(CProperties)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProperties message handlers
